RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender > Class Template Referencefinal

Plain str token. More...

`#include <path2regex.hpp>`

Inheritance diagram for restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >:

## Public Member Functions
| plain_string_token_t (const std::string &path)
virtual token_type_t | append_self_to (std::string &route, param_appender_sequence_t< Route_Param_Appender > &, names_buffer_appender_t &) const override
virtual bool | is_end_delimited (const std::string &delimiters) const noexcept override
Public Member Functions inherited from restinio::path2regex::impl::token_t< Route_Param_Appender >
| token_t ()=default
| token_t (const token_t &)=delete
| token_t (token_t &&)=delete
virtual | ~token_t ()=default
virtual token_type_t | append_self_to (std::string &route, param_appender_sequence_t< Route_Param_Appender > &param_appender_sequence, names_buffer_appender_t &names_buffer_appender) const =0
virtual bool | is_end_delimited (const std::string &) const noexcept

## Private Attributes
const std::string | m_escaped_path
| Already escaped piece of the route. More...
const char | m_last_char

## Detailed Description

template<typename Route_Param_Appender>
class restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >

Plain str token.

Definition at line 404 of file path2regex.hpp.

## Constructor & Destructor Documentation

## ◆ plain_string_token_t()

template<typename Route_Param_Appender >

restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >::plain_string_token_t | ( | const std::string & | path | ) |
| inline

Definition at line 407 of file path2regex.hpp.

## Member Function Documentation

## ◆ append_self_to()

template<typename Route_Param_Appender >

virtual token_type_t restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >::append_self_to | ( | std::string & | route,
|  | param_appender_sequence_t< Route_Param_Appender > & | ,
|  | names_buffer_appender_t & |
| ) |  | const
| inline override virtual

Implements restinio::path2regex::impl::token_t< Route_Param_Appender >.

Definition at line 413 of file path2regex.hpp.

## ◆ is_end_delimited()

template<typename Route_Param_Appender >

virtual bool restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >::is_end_delimited | ( | const std::string & | delimiters | ) | const
| inline override virtual noexcept

Reimplemented from restinio::path2regex::impl::token_t< Route_Param_Appender >.

Definition at line 424 of file path2regex.hpp.

## Member Data Documentation

## ◆ m_escaped_path

template<typename Route_Param_Appender >

const std::string restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >::m_escaped_path
| private

Already escaped piece of the route.

Definition at line 431 of file path2regex.hpp.

## ◆ m_last_char

template<typename Route_Param_Appender >

const char restinio::path2regex::impl::plain_string_token_t< Route_Param_Appender >::m_last_char
| private

Definition at line 432 of file path2regex.hpp.

The documentation for this class was generated from the following file:

- restinio/path2regex/path2regex.hpp